"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
exports.buildConfig = argv => {
    // If a project path is specified, change process dir to that path
    // This is a workaround for a publish bug that causes builds
    // to fail when the script is run outside the project
    if (argv._[1]) {
        process.chdir(path.resolve(argv._[1]));
    }
    const config = {
        api: argv.api || "https://api.framer.com",
        // Command is always run from inside project
        projectPath: process.cwd(),
        cachePath: "/tmp/framer",
        yarnLinkFolder: "/tmp/framer-yarn-link-folder",
        token: process.env.FRAMER_TOKEN,
        disablePrompts: argv.yes || false,
    };
    return config;
};
