"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const minimist = require("minimist");
const readline = require("readline");
const chalk_1 = require("chalk");
exports.setProcessTitle = (title) => (process.title = title);
exports.printUsage = () => {
    // tslint:disable-next-line:no-console
    console.log(chalk_1.default `
{greenBright Usage:}

  {bold build} [project.framerfx]

      Build the JavaScript file for the project.

  {bold publish} [project.framerfx] [--major] [--public]

      Publish the project to the store.

      The FRAMER_TOKEN environmental variable must be set.

      If you belong to an organization the package will be published to the
      private store unless specified otherwise with the --public flag.

      Will bump the version automatically. Use --major for major version
      bump.

  {bold help}

      Print usage.

{greenBright Global options:}
    --yes                  Automatically confirm all prompts
`);
};
exports.parseArgv = () => {
    const argv = minimist(process.argv.slice(2));
    const command = argv._[0];
    return { command, argv };
};
exports.prompt = (question) => {
    const rl = readline.createInterface(process.stdin, process.stdout);
    return new Promise(resolve => rl.question(question, resolve));
};
